expect-5.43.0 Issues

Anthony Borla ajborla at bigpond.com
Thu Feb 2 04:31:41 PST 2006


Greetings,

I understand that this mailing list is for the stable version of LFS [rather
than the development version I'm currently using], but I'm at least hoping
for some feedback on the current problems I'm experiencing with the 'expect'
package, some of which would seem relevant to the stable version too.

Firstly, I've not been able to locate an, expect-5.43.0 package, and am
wondering whether the subsequent version - 5.44.0 - is an adequate
substitute. This is a partial listing of available packages from [
http://expect.nist.gov/src/ ]:

    ...
    expect-5.39.0.tar.gz   31-Jul-2003 15:39   508K
    expect-5.40.0.tar.gz   26-Feb-2004 15:01   509K
    expect-5.40.1.tar.gz   06-Apr-2004 12:35   510K
    expect-5.41.0.tar.gz   20-Apr-2004 13:25   510K
    expect-5.42.1.tar.gz   03-Aug-2004 18:39   512K
    expect-5.44.0.tar.gz   31-Jan-2006 11:59   608K
    expect-5.44.1.tar.gz   31-Jan-2006 12:11   608K
    tcl-3.3.tar.gz         24-Dec-1991 16:03   147K
    ...

As you can see, no 5.43.0 version is available, nor did I find any via other
web searches.

I wouldn't ordinarily be concerned but since there is a patch to be applied
it would seem prudent to ensure the correct version is available. Anyway, I
am curious as to how others have resolved this situation.

Package version aside, I proceeded to build LFS using 5.44.0. Up until my
attempt to build 'expect' I had a remarkably clean run: no problems to
report at all, mostly due, I think, to the clarity and thoroughness of the
LFS documentation [and probably a little bit of luck ;) !].

Unfortunately, I was stopped dead in my tracks after issuing:

    lfs:~/expect-5.44.0$ ./configure --host=i486-pc-linux-gnu \
    --prefix=/tools --with-tcl=/tools/lib --with-tclinclude=/tools/include \
    --with-x=no

 by the following:

    checking for correct TEA configuration... ok (TEA 3.2)
    configure: error: cannot find install-sh or install.sh in tclconfig
./tclconfig

Tried several variations [including the use of $TCLPATH and keeping the
'tcl' package source directory intact as explained in the stable LFS], and
am sure all the 'tcl' stuff was correctly installed [e.g. /tools/include
contains 'Tcl...' header files] but the same message is issued each time.

I'm not sure what other relevant information I can offer except that I'm
using a Fedora 2 host targetting an i486 platform, and am building on a
'bound' /mnt/lfs directory, not a separate partition.

As mentioned earlier, any suggestions / feedback would be appreciated.

Cheers,

Anthony Borla

P.S.

I'd like to mention in passing that I am more than pleased that a resource
such as LFS exists, and wish to commend those individuals behind, and
contributing to, the project. I, myself, actually stumbled upon the LFS
project purely by accident [a Google search using the phrase 'Linux rebuild
scratch'] in my efforts to find a single Linux distribution [text-only, no
X] that would work on several platforms including 486's.

I certainly wouldn't be attempting such a task without the guidance that LFS
offers.




More information about the lfs-support mailing list